"""create table for contact_forms

Revision ID: 8d6f1a73926e
Revises: 0001
Create Date: 2023-05-26 15:12:33.732326

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '8d6f1a73926e'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'contact_forms',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_func()),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('phone_number', sa.String(), nullable=False),
        sa.Column('address', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )


def downgrade():
    op.drop_table('contact_forms')